# Project Metavis
A visualization tool for combinatorial optmization.

#### Milestones
| Date | Milestone | Comment | Done |
| ------------ | ------------- | ------------- | ------ |
| 17/12/2019 | MS0: License & IDE | Software should be able run on windows and linux | &#9745; |
| 20/12/2019 | MS1: Log-file import | The overall design and constrain off a log-file | &#9745; |
| 14/01/2020 | MS2: Metrics | Calculate and display metrics for general metaheuristic and for population based ones |  &#9745; |


#### Phases
| Period | Phase | Comment |
| ------------ | ------------- | ------------- |
| 16/12/2019 - 20/12/2019 | P0: Initialize the project | Preparing for future work and implement first two milestones(MS1, MS2) |
| 21/12/2019 - 03/01/2020 | Winterbreak | |
| 04/01/2020 - 14/01/2020 | P1: Metrics | Implementing all kind of metrics that present information for the User|
| 15/01/2020 - 15/01/2020 | R0: Refactor | Refactoring and project structuring |
<!-- 	ballot box with check &#9745;  
		Entity: ballot box unchecked &#9744;
-->
#### Goals
| Milostone | Goal | Comment | Done |
| --------- | ---- | ------- | ---- |
| MS1		| G0: Memory layout | Save efficient bits in the memory | &#9745; |
|			| G1: File Reader | File reader who can detinguish between real values and integer and the bitstring. Should be recognize labels. | &#9745; |
| MS2		| G2: Dockable widget | To have a gui widget that can be docked and the state should be saved. | &#9745; |
| 			| G3: Line Graph | A line graph with axis label should be implemented | &#9745; |
| 			| G4: Light redraw | Save the intermediate values to not calculate them each redraw | &#9745; | 



#### Future Features 
These features are not in a milestone or a goal yet but can be in the future.

| Feature | Comment |
| ------- | ------- |
| FS0: Log-file in UTF-8 to binary data type | Saves disk space |
| FS1: Multiple run view | Simmulateasly showing 2 or multiple runs to compare them |
| FS2: Free up memory | Free up memory thats not needed when the visualization  has been calculated |


